.ns-news-comment-reactions {
    display: inline-block;
    position: relative;
}

.ns-news-comment-reactions:hover [class*="reaction-"] {
    transform: scale(0.8) translateY(-40px);
}

.ns-news-comment-reactions:hover [class*="reaction-"]:hover,
.ns-news-comment-reactions:hover [class*="reaction-"]:focus {
    transition: all .2s ease-in;
    transform: scale(1) translateY(-35px);
}

.ns-news-comment-reactions:hover [class*="reaction-"]:hover .legend-reaction,
.ns-news-comment-reactions:hover [class*="reaction-"]:focus .legend-reaction {
    opacity: 1;
}

.ns-news-comment-reactions:hover .reaction-love {
    transition-delay: .03s;
}

.ns-news-comment-reactions:hover .reaction-haha {
    transition-delay: .09s;
}

.ns-news-comment-reactions:hover .reaction-wow {
    transition-delay: .12s;
}

.ns-news-comment-reactions:hover .reaction-sad {
    transition-delay: .15s;
}

.ns-news-comment-reactions:hover .reaction-angry {
    transition-delay: .18s;
}

.ns-news-comment-reactions .reaction-like {
    left: 0;
    background-position: 0 -144px;
}

.ns-news-comment-reactions .reaction-love {
    background-position: -48px 0;
    left: 50px;
}

.ns-news-comment-reactions .reaction-haha {
    background-position: -96px 0;
    left: 100px;
}

.ns-news-comment-reactions .reaction-wow {
    background-position: -144px 0;
    left: 150px;
}

.ns-news-comment-reactions .reaction-sad {
    background-position: -192px 0;
    left: 200px;
}

.ns-news-comment-reactions .reaction-angry {
    background-position: -240px 0;
    left: 250px;
}

.ns-news-comment-reactions .reaction {
    display: inline-block;
    position: relative;
    text-align: center;
    margin: 5px 7px 0 0;
}

.ns-news-comment-reactions .reaction:last-child {
    margin-right: 0;
}

.ns-news-comment-reactions .reaction:hover .emoji {
    transform: scale(1.3);
}

.ns-news-comment-reactions .reaction:hover .text {
    color: #222;
    transition: all 0.1s;
}

.ns-news-comment-reactions .emoji {
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s ease 0s;
}

.ns-news-comment-reactions .count {
    background: var(--primary-color);
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    font-size: 12px;
    font-weight: 600;
    line-height: normal;
    padding: 3px;
}
